Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2013-0254

Back to Search

SUSE Linux Security Vulnerability: CVE-2013-0254

Severity
4
CVSS
(AV:L/AC:L/Au:N/C:P/I:P/A:N)
Published
02/06/2013
Created
07/25/2018
Added
12/12/2013
Modified
07/04/2017

Description

The QSharedMemory class in Qt 5.0.0, 4.8.x before 4.8.5, 4.7.x before 4.7.6, and other versions including 4.4.0 uses weak permissions (world-readable and world-writable) for shared memory segments, which allows local users to read sensitive information or modify critical program data, as demonstrated by reading a pixmap being sent to an X server.

Solution(s)

  • suse-upgrade-libqt4
  • suse-upgrade-libqt4-32bit
  • suse-upgrade-libqt4-debuginfo
  • suse-upgrade-libqt4-debuginfo-32bit
  • suse-upgrade-libqt4-debuginfo-x86
  • suse-upgrade-libqt4-debugsource
  • suse-upgrade-libqt4-devel
  • suse-upgrade-libqt4-devel-debuginfo
  • suse-upgrade-libqt4-devel-doc
  • suse-upgrade-libqt4-devel-doc-data
  • suse-upgrade-libqt4-private-headers-devel
  • suse-upgrade-libqt4-qt3support
  • suse-upgrade-libqt4-qt3support-32bit
  • suse-upgrade-libqt4-qt3support-debuginfo
  • suse-upgrade-libqt4-qt3support-debuginfo-32bit
  • suse-upgrade-libqt4-qt3support-debuginfo-x86
  • suse-upgrade-libqt4-qt3support-x86
  • suse-upgrade-libqt4-sql
  • suse-upgrade-libqt4-sql-32bit
  • suse-upgrade-libqt4-sql-debuginfo
  • suse-upgrade-libqt4-sql-debuginfo-32bit
  • suse-upgrade-libqt4-sql-debuginfo-x86
  • suse-upgrade-libqt4-sql-mysql
  • suse-upgrade-libqt4-sql-mysql-32bit
  • suse-upgrade-libqt4-sql-mysql-x86
  • suse-upgrade-libqt4-sql-plugins
  • suse-upgrade-libqt4-sql-postgresql
  • suse-upgrade-libqt4-sql-postgresql-32bit
  • suse-upgrade-libqt4-sql-postgresql-x86
  • suse-upgrade-libqt4-sql-sqlite
  • suse-upgrade-libqt4-sql-sqlite-32bit
  • suse-upgrade-libqt4-sql-sqlite-debuginfo
  • suse-upgrade-libqt4-sql-sqlite-debuginfo-32bit
  • suse-upgrade-libqt4-sql-sqlite-debuginfo-x86
  • suse-upgrade-libqt4-sql-sqlite-x86
  • suse-upgrade-libqt4-sql-unixodbc
  • suse-upgrade-libqt4-sql-unixodbc-32bit
  • suse-upgrade-libqt4-sql-unixodbc-x86
  • suse-upgrade-libqt4-sql-x86
  • suse-upgrade-libqt4-x11
  • suse-upgrade-libqt4-x11-32bit
  • suse-upgrade-libqt4-x11-debuginfo
  • suse-upgrade-libqt4-x11-debuginfo-32bit
  • suse-upgrade-libqt4-x11-debuginfo-x86
  • suse-upgrade-libqt4-x11-x86
  • suse-upgrade-libqt4-x86
  • suse-upgrade-libqtwebkit-devel
  • suse-upgrade-libqtwebkit4
  • suse-upgrade-libqtwebkit4-32bit
  • suse-upgrade-libqtwebkit4-x86
  • suse-upgrade-qt4-x11-tools
  • suse-upgrade-sle-sdk-release

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;